\chapter{Transports}
\label{apx:transports}

\gls{XMPP} has another prominent feature that was omitted in \cref{chap:basics} because it was more or less irrelevant for this thesis: Transports.
An \gls{XMPP} transport (also known as \gls{XMPP} agent or \gls{XMPP} gateway) is a service within an \gls{XMPP} network that represents users of other instant messaging systems transparently as \gls{XMPP} users.
This makes it possible to interact with users of these other networks
(often referred to as \emph{legacy services}) through a single \gls{XMPP} client.
The transports "translate" the messages between the networks,
without the two participating users having to make special arrangements.
Figure~\ref{fig:transports} illustrates the process.

\begin{figure}[h]
 \centering
 \bigskip
 \includegraphics[width=1\textwidth]{drawings/transports}
 \caption[XMPP transports]{XMPP transports, from user Peritus at de.wikipedia.org}
\label{fig:transports}
\end{figure}

The old system behind jabber.rwth-aachen.de had transports for the following networks installed:
AIM (AOL Instant Messenger), GG (Gadu-Gadu), ICQ, \gls{IRC}, MSN Messenger (Microsoft Network Messenger) and Y!M (Yahoo! Messenger).
Checking the logs it became apparent that nobody used these transports anymore,
which was not surprising.
Although there exist transports for currently popular \gls{IM}
providers\footnote{\url{http://spectrum.im}}
such as Facebook,
Skype,
Slack,
Telegram,
Twitter,
and WhatsApp,
it was decided not to offer these on jabber.rwth-aachen.de for legal and data privacy reasons.
For these transports to work,
the user must tell the \gls{XMPP} server the credentials for the networks he wants to use.
The \gls{XMPP} server than acts as a client in those networks.
I.\,e.\ that any kind of abuse on those networks would appear to be coming from jabber.rwth-aachen.de instead of the \gls{IP} of the actual user.
Together with the IT Center it was therefore decided not to offer any transports with the new system.
Users who want to use that feature may use it remotely on other servers who are offering it.
Alternatively,
users can simply use a multi-messenger capable of working with the desired networks.
